# vim: set sw=4 ts=4 et:

Name:           vorbisgain
Version:        0.37
Release:        1.pm.1.1
Summary:        Lossless Volume-Adjusting Utility for Ogg Vorbis Files
# http://sjeng.org/ftp/vorbis/vorbisgain-%{version}.tar.gz
Source:         vorbisgain-%{version}.tar.bz2
Patch1:         vorbisgain-mkstemp.patch
Patch2:         vorbisgain-missing_includes.patch
URL:            http://sjeng.org/vorbisgain.html
Group:          Productivity/Multimedia/Sound/Utilities
License:        GNU Lesser General Public License (LGPL)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  libogg-devel libvorbis-devel
BuildRequires:  gcc make glibc-devel
BuildRequires:  autoconf automake libtool

%description
VorbisGain is a utility that uses a psychoacoustic method to correct the
volume of an Ogg Vorbis file to a predefined standardized loudness.

It is meant as a replacement for the normalization that is commonly used
before encoding. Although normalization will ensure that each song has the
same peak volume, this unfortunately does not say anything about the apparent
loudness of the music, with the end result being that many normalized files
still don't sound equally loud. VorbisGain uses psychoacoustics to address
this deficiency. Moreover, unlike normalization, it's a lossless procedure
which works by adding tags to the file. Additionally, it will add hints that
can be used to prevent clipping on playback. It is based upon the ReplayGain
technology.

The end result is that playback is both more convenient and of higher quality
compared to a non-VorbisGain'ed file.

It needs player support to work. Non-supporting players will play back the
files without problems, but you'll miss out on the benefits. Nowadays most
good players such as Winamp or Foobar2K or recent XMMS are already
compatible. If your player isn't, consider upgrading to one that is.

%prep
%setup -q
%patch1
%patch2
%__sed -i 's/\r//' COPYING

%build
%configure --enable-recursive
%__make %{?_smp_flags}

%install
%makeinstall

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc COPYING NEWS README vorbisgain.txt
%{_bindir}/vorbisgain
%doc %{_mandir}/man1/vorbisgain.1%{ext_man}

%changelog
* Mon Nov 17 2008 guru@unixtech.be
- added patch to use mkstemp instead of mktemp
- moved to Packman
* Mon Dec 11 2006 guru@unixtech.be
- build with --enable-recursive
- rewrote spec file from scratch
- new upstream version
* Tue Jul 12 2005 guru@unixtech.be
- new package
